zenilib: TT_GraphicsState_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
TT_GraphicsState_ Struct Reference

`#include <ttobjs.h>`

## Public Attributes

FT_Bool | auto_flip
FT_F26Dot6 | control_value_cutin
FT_Short | delta_base
FT_Short | delta_shift
FT_UnitVector | dualVector
FT_UnitVector | freeVector
FT_UShort | gep0
FT_UShort | gep1
FT_UShort | gep2
FT_Byte | instruct_control
FT_Long | loop
FT_F26Dot6 | minimum_distance
FT_UnitVector | projVector
FT_Int | round_state
FT_UShort | rp0
FT_UShort | rp1
FT_UShort | rp2
FT_Bool | scan_control
FT_Int | scan_type
FT_F26Dot6 | single_width_cutin
FT_F26Dot6 | single_width_value

## Detailed Description

Definition at line 76 of file ttobjs.h.

## Member Data Documentation

FT_Bool TT_GraphicsState_::auto_flip

Definition at line 94 of file ttobjs.h.

FT_F26Dot6 TT_GraphicsState_::control_value_cutin

Definition at line 95 of file ttobjs.h.

FT_Short TT_GraphicsState_::delta_base

Definition at line 98 of file ttobjs.h.

FT_Short TT_GraphicsState_::delta_shift

Definition at line 99 of file ttobjs.h.

FT_UnitVector TT_GraphicsState_::dualVector

Definition at line 82 of file ttobjs.h.

FT_UnitVector TT_GraphicsState_::freeVector

Definition at line 84 of file ttobjs.h.

FT_UShort TT_GraphicsState_::gep0

Definition at line 109 of file ttobjs.h.

FT_UShort TT_GraphicsState_::gep1

Definition at line 110 of file ttobjs.h.

FT_UShort TT_GraphicsState_::gep2

Definition at line 111 of file ttobjs.h.

FT_Byte TT_GraphicsState_::instruct_control

Definition at line 101 of file ttobjs.h.

Referenced by tt_loader_init().

FT_Long TT_GraphicsState_::loop

Definition at line 90 of file ttobjs.h.

FT_F26Dot6 TT_GraphicsState_::minimum_distance

Definition at line 91 of file ttobjs.h.

FT_UnitVector TT_GraphicsState_::projVector

Definition at line 83 of file ttobjs.h.

FT_Int TT_GraphicsState_::round_state

Definition at line 92 of file ttobjs.h.

FT_UShort TT_GraphicsState_::rp0

Definition at line 78 of file ttobjs.h.

FT_UShort TT_GraphicsState_::rp1

Definition at line 79 of file ttobjs.h.

FT_UShort TT_GraphicsState_::rp2

Definition at line 80 of file ttobjs.h.

FT_Bool TT_GraphicsState_::scan_control

Definition at line 106 of file ttobjs.h.

Referenced by TT_Load_Glyph().

FT_Int TT_GraphicsState_::scan_type

Definition at line 107 of file ttobjs.h.

Referenced by TT_Hint_Glyph(), and TT_Load_Glyph().

FT_F26Dot6 TT_GraphicsState_::single_width_cutin

Definition at line 96 of file ttobjs.h.

FT_F26Dot6 TT_GraphicsState_::single_width_value

Definition at line 97 of file ttobjs.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/truetype/ttobjs.h